Bug 805638 - jBPM Console ignores HT service host and port configuration
jBPM Console ignores HT service host and port configuration
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 13:45 EDT by Jiri Locker
Modified: 2012-05-31 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (34.07 KB, text/plain)
2012-03-21 13:45 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-03-21 13:45:55 EDT
Created attachment 571796 [details]
server.log

Description of problem:
In a scenario where jbpm-human-task.war is configured to start the HT service on a different host and port than the defaults (localhost:9123), the jBPM console is unable to connect to the task service.

Although it is possible to configure the task service address in gwt-console-server.war/WEB-INF/classes/jbpm.console.properties, the console crashes on the first access if the task service is not running on localhost:9123.

Version-Release number of selected component (if applicable):
ER5

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
jBPM Console crashes on the first access if the task service is not running on localhost:9123, even if the task service address is configured correctly in jbpm.console.properties (inside gwt-console-server.war)

Expected results:
jBPM Console should connect to task service running on any host and port if the address is specified in jbpm.console.properties. The transport protocol (mina,jms,hornetq) should be configurable too.

Additional info:
see server log for the exception trace
Comment 1 Maciej Swiderski 2012-03-22 13:15:18 EDT
Pull request prepared and avilable at: https://github.com/droolsjbpm/jbpm/pull/63

Introduces number of configuration parameters via jbpm.console.properties to match configuration avilable for human task web application. It defaults to Mina to be backward compatible with previous versions of jBPM already out.

In addition to what is possible in terms of transports of human task web application console can be configured to use local task server without any remote communication.
Comment 2 Maciej Swiderski 2012-04-02 04:10:19 EDT
Please use following pull request instead of #63 as it provides latest modifications: https://github.com/droolsjbpm/jbpm/pull/67
Comment 4 Kris Verlaenen 2012-04-03 11:58:20 EDT
Merged, BRMS should update the jbpm.console.properties file to use HornetQ instead of Mina (in combination with the changes in the human task service war to switch that to HornetQ as well).
Comment 5 Ryan Zhang 2012-04-23 03:39:26 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 6 Jiri Locker 2012-05-31 05:05:12 EDT
Fix verified in ER8.

Note You need to log in before you can comment on or make changes to this bug.